"use strict";

class KuadradoValues {
    render() {
        return {
            tag: "section",
            class: "kuadrado-values",
            contents: [
                {
                    tag: "div",
                    class: "page-contents-center",
                    contents: [
                        {
                            tag: "h2",
                            contents: "<blue>Éthique</blue>",
                        },
                        {
                            tag: "ul",
                            class: "values-list",
                            contents: [
                                [
                                    "<emoji>📖</emoji> <blue>Partage des connaissances</blue>",
                                    `Pour sortir de l'élitisme de l'ingénierie, pour sortir de la domination par l'obscurantisme et de la consommation aveugle, 
                                    pour aller plus loin ensemble, le partage du savoir est fondamental.`,
                                ],
                                [
                                    "<emoji>💻</emoji> <blue>Logiciels libres et open source</blue>",
                                    `Toutes mes productions numériques, jeux vidéo, web, software, sont 
                                    <b><a href="https://fr.wikipedia.org/wiki/Logiciel_libre" target="_blank">libres et open source</a></b>.
                                    <br/> ainsi que les outils engagés dans leur fabrication.`,
                                ],
                                [
                                    "<emoji>🌿</emoji> <blue>Écologie</blue>",
                                    `Nous vivons une époque ou l'utilisation de la technologie connaît une croissance exponentielle notament
                                    à travers internet.
                                    <br/>Il est primordial de construire le numérique dans une direction de légèreté et d'économie de 
                                    ressources.`,
                                ],
                            ].map(v => {
                                const [title, body] = v;
                                return {
                                    tag: "li",
                                    contents: [
                                        { tag: "h3", contents: title },
                                        { tag: "p", contents: body },
                                    ],
                                };
                            }),
                        },
                    ],
                },
            ],
        };
    }
}

module.exports = KuadradoValues;
